Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Trader_Constraint_Validator Class Reference

`#include <Trader_Constraint_Visitors.h>`

Inheritance diagram for TAO_Trader_Constraint_Validator:

[legend]
Collaboration diagram for TAO_Trader_Constraint_Validator:

[legend]
List of all members.

## Public Methods
| TAO_Trader_Constraint_Validator (const CosTradingRepos::ServiceTypeRepository::TypeStruct &type_struct)
virtual | ~TAO_Trader_Constraint_Validator (void)
| Desctructor.

## Constructor & Destructor Documentation

TAO_Trader_Constraint_Validator::TAO_Trader_Constraint_Validator | ( | const CosTradingRepos::ServiceTypeRepository::TypeStruct & | type_struct | ) |

| The constructor creates a map of property names to their values from the Type Description retrieved from the ServiceTypeRepository. The ServiceTypeRepository throws exceptions when it's displeased with the type name provided to it. The map allows O(lg n) associative access, rather than the O(n) sequential lookup from the CORBA data structures.

TAO_Trader_Constraint_Validator::~TAO_Trader_Constraint_Validator | ( | void |  | ) | `[virtual]`

| Desctructor.

The documentation for this class was generated from the following files:

- Trader_Constraint_Visitors.h
- Trader_Constraint_Visitors.cpp